db.partan.find().forEach(doc => {var distX = db.partan.distinct('gp', {_id: doc._id}); db.partan.updateOne({_id: doc._id}, {$set:{gp:distX}})})



sudo mongod --port 27017 --dbpath /var/lib/mongodb --replSet rs0 --bind_ip localhost

